//bridge-file-version: #32
{
	"format_version": "1.16.100",
	"minecraft:item": {
		"description": {
			"identifier": "sp:mystic_converter",
			"category": "equipment"
		},
		"components": {
			"minecraft:display_name": {
				"value": "Mystic Converter"
			},
			"minecraft:creative_category": {
				"parent": "equipment"
			},
			"minecraft:icon": {
				"texture": "mystic_converter"
			},
			"minecraft:max_stack_size": 1,
			"minecraft:hand_equipped": true,
			"minecraft:on_use_on": {
				"on_use_on": {
					"event": "sp:two"
				}
			},
			"minecraft:on_use": {
				"on_use": {}
			}
		},
		"events": {
			"sp:test": {
				"sequence": [
					{
						"swing": {}
					},
					{
						"run_command": {
							"command": [
								"kill @e[r=1]",
								"particle minecraft:redstone_wire_dust_particle ~~1~",
								"playsound dig.lodestone @a ~~~"
							]
						}
					}
				]
			},
			"sp:two": {
				"sequence": [
					{
						"swing": {}
					},
					{
						"run_command": {
							"command": [
								"fill ~~~ ~~~ sp:shard_ore 0 replace lapis_ore",
								"playsound land.nylium @a ~~~"
							]
						}
					}
				]
			}
		}
	}
}